import javax.swing.*;
import java.awt.*;
import java.io.*;
import java.net.*;

/** Informations html sur le patcheur
  *
  * @author     Nemesis (nemesis_tt@yahoo.fr)
  * @version    08/05/04
  */

public class Aide extends JPanel {

// Les éléments de la vue (IHM)
// ----------------------------
        
    /** Eléments d'infos */
    private JEditorPane infos;
    
    /** Couleurs */
    private Color coul_evol = Color.BLUE;

// Le constructeur
// ---------------

    /** Construire le panel d'infos */
    public Aide() {
        super();
        
        //  Définition du layout de la zone
        setLayout(new BorderLayout());
            
        // Fenêtre d'infos
        infos = new JEditorPane();
        infos.setContentType("text/html");
        infos.setEditable(false);
        File fich = new File("Lisez-moi.htm");
        try {
            infos.setPage(fich.toURL());
        } catch(IOException e) {
            Logueur.loguer_texte("Impossible d'ouvrir le fichier Lisez-moi du patch");
        }
        
        // Gestion du défilement
        JScrollPane scroll = new JScrollPane(infos);
        scroll.setVerticalScrollBarPolicy(JScrollPane.VERTICAL_SCROLLBAR_AS_NEEDED);
        scroll.setHorizontalScrollBarPolicy(JScrollPane.HORIZONTAL_SCROLLBAR_NEVER);
        
        // Ajout final de l'élément
        add(scroll);
    }
}
